import { Injectable } from '@angular/core';
import { APP_SETTINGS } from 'src/etc/AppSettings';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/internal/Observable';

@Injectable({
  providedIn: 'root'
})
export class ImpresoraService {

  private urlDeboSuite = APP_SETTINGS.apiDeboSuite;

  constructor(
    private http: HttpClient,
  ) { }

  getAll(): Observable<any> {

    return this.http.get(`${this.urlDeboSuite}/get/impresoras`);
  }

}
