export interface Producto {
  CodSec: number;
  CodArt: number;
  DetArt: string;
  CodRub: number;
  Costo: number;
  PreNet: number;
  ImpInt: number;
  UniVen: number;
  FecCos: Date;
  UltAct: Date;
  CodPro: number;
  ExiDep: number;
  ExiVta: number;
  MinDep: number;
  MaxDep: number;
  MinPVE: number;
  MaxPVE: number;
  ENTTur: number;
  SINTur: number;
  SALTur: number;
  IvaSN: boolean;
  DepSN: boolean;
  RubMay: number;
  PreVen: number;
  IvaCO: number;
  TIP: string;
  IMPIVA: number;
  ENTADM: number;
  SALADM: number;
  CODIIN: number;
  PRO: boolean;
  FPP: boolean;
  ESS: boolean;
  FID: Date;
  NID: number;
  FIV: Date;
  NIV: number;
  COO: string;
  CAG: string;
  CAP: number;
  UTL: number;
  NHA: boolean;
  PID: boolean;
  PRV: number;
  PRD: number;
  ImpInt2: number;
  E_HD: string;
  C_HD: string;
  CLA: number;
  UNICAP: number;
  ELBPRO: string;
  PPP: number;
  ALI: number;
  BAL_TIPO: string;
  PER_MAY: boolean;
  ES_MAY: boolean;
  CLA_MAY: number;
  PME_CMP: string;
  USA_BAL: boolean;
  DET_LAR: string;
  ROTULO: string;
  REC_MANUAL: boolean;
  E_HD1: string;
  C_HD1: string;
  ImpInt3: number;
  FUA_MAE_YPF: Date;
  CPQ: number;
  EPQ: string;
  BPQ: number;
  PUPQ: number;
  CORVTO: boolean;
  CORVTO_COSTO: number;
  UTLFR: number;
  FAMILIA: number;
  ES_LUB: boolean;
  ES_FERT: boolean;
  AutoFac: boolean;
  LitrosPCD: number;
  LisPCD: number;
  ImpLey23966: boolean;
  es_bio: boolean;
  ExpArbaRev: boolean;
  ES_AGROQ: boolean;
  ES_PLAST: boolean;
  es_bio_por: string;
  IMP_IMP_INT: boolean;
  id: number;
  nombreImagen?: any;
  categoria_selfservice: number;
  cantidad?: number;
  esPadre?: boolean;
  codigoBarra: string;
  idSinonimo?: number;
  productos?: Producto[];
  tieneSinonimos?: boolean;
  imagenes: object[],
  cantidadVendida: number
}
