import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { APP_SETTINGS } from "src/etc/AppSettings";

@Injectable({
  providedIn: 'root'
})
export class ClienteService {

  private urlCliente = APP_SETTINGS.apiDeboSuite;

  constructor(private http: HttpClient) { }

  getClienteById(id: number) {
    return this.http.get(`${this.urlCliente}/clientes/get/${id}`);
  }
}
