import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { APP_SETTINGS } from 'src/etc/AppSettings';

@Injectable({
  providedIn: 'root'
})
export class TarjetasService {

  constructor(private http: HttpClient) { }

  getTarjetas(): Observable<any> {

    return this.http.get(`${APP_SETTINGS.apiDeboSuite}/tarjetas`);
  }
}
